Package org.eclipse.mat.ui.snapshot.views.inspector

# Class FieldsContentProvider

java.lang.Object
org.eclipse.mat.ui.snapshot.views.inspector.FieldsContentProvider

All Implemented Interfaces:
  `IContentProvider`, `IDoubleClickListener`, `IStructuredContentProvider`

public class FieldsContentProvider extends Object implements IStructuredContentProvider, IDoubleClickListener

## Constructor Summary

Constructors
Constructor
Description
`FieldsContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`doubleClick(DoubleClickEvent event)`
`Object[]`
`getElements(Object inputElement)`
`void`
`inputChanged(Viewer viewer, Object oldInput, Object newInput)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldsContentProvider

public FieldsContentProvider()

## Method Details

### inputChanged

public void inputChanged(Viewer viewer, Object oldInput, Object newInput)

Specified by:
  `inputChanged` in interface `IContentProvider`

### getElements

public Object[] getElements(Object inputElement)

Specified by:
  `getElements` in interface `IStructuredContentProvider`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IContentProvider`

### doubleClick

public void doubleClick(DoubleClickEvent event)

Specified by:
  `doubleClick` in interface `IDoubleClickListener`